Package com.google.protobuf

# Interface DescriptorProtos.FieldDescriptorProtoOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.FieldDescriptorProto`, `DescriptorProtos.FieldDescriptorProto.Builder`

Enclosing class:
  DescriptorProtos

public static interface DescriptorProtos.FieldDescriptorProtoOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getDefaultValue()`
`optional string default_value = 7 [json_name = "defaultValue"];`
`ByteString`
`getDefaultValueBytes()`
`optional string default_value = 7 [json_name = "defaultValue"];`
`String`
`getExtendee()`
`optional string extendee = 2 [json_name = "extendee"];`
`ByteString`
`getExtendeeBytes()`
`optional string extendee = 2 [json_name = "extendee"];`
`String`
`getJsonName()`
`optional string json_name = 10 [json_name = "jsonName"];`
`ByteString`
`getJsonNameBytes()`
`optional string json_name = 10 [json_name = "jsonName"];`
`DescriptorProtos.FieldDescriptorProto.Label`
`getLabel()`
`optional .google.protobuf.FieldDescriptorProto.Label label = 4 [json_name = "label"];`
`String`
`getName()`
`optional string name = 1 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`optional string name = 1 [json_name = "name"];`
`int`
`getNumber()`
`optional int32 number = 3 [json_name = "number"];`
`int`
`getOneofIndex()`
`optional int32 oneof_index = 9 [json_name = "oneofIndex"];`
`DescriptorProtos.FieldOptions`
`getOptions()`
`optional .google.protobuf.FieldOptions options = 8 [json_name = "options"];`
`DescriptorProtos.FieldOptionsOrBuilder`
`getOptionsOrBuilder()`
`optional .google.protobuf.FieldOptions options = 8 [json_name = "options"];`
`boolean`
`getProto3Optional()`
`optional bool proto3_optional = 17 [json_name = "proto3Optional"];`
`DescriptorProtos.FieldDescriptorProto.Type`
`getType()`
`optional .google.protobuf.FieldDescriptorProto.Type type = 5 [json_name = "type"];`
`String`
`getTypeName()`
`optional string type_name = 6 [json_name = "typeName"];`
`ByteString`
`getTypeNameBytes()`
`optional string type_name = 6 [json_name = "typeName"];`
`boolean`
`hasDefaultValue()`
`optional string default_value = 7 [json_name = "defaultValue"];`
`boolean`
`hasExtendee()`
`optional string extendee = 2 [json_name = "extendee"];`
`boolean`
`hasJsonName()`
`optional string json_name = 10 [json_name = "jsonName"];`
`boolean`
`hasLabel()`
`optional .google.protobuf.FieldDescriptorProto.Label label = 4 [json_name = "label"];`
`boolean`
`hasName()`
`optional string name = 1 [json_name = "name"];`
`boolean`
`hasNumber()`
`optional int32 number = 3 [json_name = "number"];`
`boolean`
`hasOneofIndex()`
`optional int32 oneof_index = 9 [json_name = "oneofIndex"];`
`boolean`
`hasOptions()`
`optional .google.protobuf.FieldOptions options = 8 [json_name = "options"];`
`boolean`
`hasProto3Optional()`
`optional bool proto3_optional = 17 [json_name = "proto3Optional"];`
`boolean`
`hasType()`
`optional .google.protobuf.FieldDescriptorProto.Type type = 5 [json_name = "type"];`
`boolean`
`hasTypeName()`
`optional string type_name = 6 [json_name = "typeName"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasName

boolean hasName()
`optional string name = 1 [json_name = "name"];`

Returns:
  Whether the name field is set.

### getName

String getName()
`optional string name = 1 [json_name = "name"];`

Returns:
  The name.

### getNameBytes

ByteString getNameBytes()
`optional string name = 1 [json_name = "name"];`

Returns:
  The bytes for name.

### hasNumber

boolean hasNumber()
`optional int32 number = 3 [json_name = "number"];`

Returns:
  Whether the number field is set.

### getNumber

int getNumber()
`optional int32 number = 3 [json_name = "number"];`

Returns:
  The number.

### hasLabel

boolean hasLabel()
`optional .google.protobuf.FieldDescriptorProto.Label label = 4 [json_name = "label"];`

Returns:
  Whether the label field is set.

### getLabel

DescriptorProtos.FieldDescriptorProto.Label getLabel()
`optional .google.protobuf.FieldDescriptorProto.Label label = 4 [json_name = "label"];`

Returns:
  The label.

### hasType

boolean hasType()
`optional .google.protobuf.FieldDescriptorProto.Type type = 5 [json_name = "type"];`

Returns:
  Whether the type field is set.

### getType

DescriptorProtos.FieldDescriptorProto.Type getType()
`optional .google.protobuf.FieldDescriptorProto.Type type = 5 [json_name = "type"];`

Returns:
  The type.

### hasTypeName

boolean hasTypeName()
`optional string type_name = 6 [json_name = "typeName"];`

Returns:
  Whether the typeName field is set.

### getTypeName

String getTypeName()
`optional string type_name = 6 [json_name = "typeName"];`

Returns:
  The typeName.

### getTypeNameBytes

ByteString getTypeNameBytes()
`optional string type_name = 6 [json_name = "typeName"];`

Returns:
  The bytes for typeName.

### hasExtendee

boolean hasExtendee()
`optional string extendee = 2 [json_name = "extendee"];`

Returns:
  Whether the extendee field is set.

### getExtendee

String getExtendee()
`optional string extendee = 2 [json_name = "extendee"];`

Returns:
  The extendee.

### getExtendeeBytes

ByteString getExtendeeBytes()
`optional string extendee = 2 [json_name = "extendee"];`

Returns:
  The bytes for extendee.

### hasDefaultValue

boolean hasDefaultValue()
`optional string default_value = 7 [json_name = "defaultValue"];`

Returns:
  Whether the defaultValue field is set.

### getDefaultValue

String getDefaultValue()
`optional string default_value = 7 [json_name = "defaultValue"];`

Returns:
  The defaultValue.

### getDefaultValueBytes

ByteString getDefaultValueBytes()
`optional string default_value = 7 [json_name = "defaultValue"];`

Returns:
  The bytes for defaultValue.

### hasOneofIndex

boolean hasOneofIndex()
`optional int32 oneof_index = 9 [json_name = "oneofIndex"];`

Returns:
  Whether the oneofIndex field is set.

### getOneofIndex

int getOneofIndex()
`optional int32 oneof_index = 9 [json_name = "oneofIndex"];`

Returns:
  The oneofIndex.

### hasJsonName

boolean hasJsonName()
`optional string json_name = 10 [json_name = "jsonName"];`

Returns:
  Whether the jsonName field is set.

### getJsonName

String getJsonName()
`optional string json_name = 10 [json_name = "jsonName"];`

Returns:
  The jsonName.

### getJsonNameBytes

ByteString getJsonNameBytes()
`optional string json_name = 10 [json_name = "jsonName"];`

Returns:
  The bytes for jsonName.

### hasOptions

boolean hasOptions()
`optional .google.protobuf.FieldOptions options = 8 [json_name = "options"];`

Returns:
  Whether the options field is set.

### getOptions

DescriptorProtos.FieldOptions getOptions()
`optional .google.protobuf.FieldOptions options = 8 [json_name = "options"];`

Returns:
  The options.

### getOptionsOrBuilder

DescriptorProtos.FieldOptionsOrBuilder getOptionsOrBuilder()
`optional .google.protobuf.FieldOptions options = 8 [json_name = "options"];`

### hasProto3Optional

boolean hasProto3Optional()
`optional bool proto3_optional = 17 [json_name = "proto3Optional"];`

Returns:
  Whether the proto3Optional field is set.

### getProto3Optional

boolean getProto3Optional()
`optional bool proto3_optional = 17 [json_name = "proto3Optional"];`

Returns:
  The proto3Optional.